%define rel 1
%define srcname ktp-contact-list 
Summary:        Telepathy contact list application
Name:           telepathy-kde-contact-list
Version:        0.3.0
Release:        %mkrel %{rel}
Url:            https://projects.kde.org/projects/extragear/network/telepathy/ktp-contact-list
Source0:        ftp://ftp.gtlib.cc.gatech.edu/pub/kde/unstable/telepathy-kde/%version/src/%srcname-%version.tar.bz2
License:        GPLv2+
Group:          Networking/Instant messaging
BuildRequires:  telepathy-kde-common-internals-devel

Requires:       telepathy-kde-text-ui
Requires:       telepathy-kde-accounts-kcm
Requires:       telepathy-kde-auth-handler
Requires:       telepathy-kde-filetransfer-handler
Requires:       telepathy-kde-integration-module
Requires:       telepathy-kde-approver
Requires:       telepathy-mission-control


#Needed for Jabber
Requires: telepathy-gabble
# needed by MSN
Suggests: telepathy-butterfly
# various protocol provided by libpurple
Suggests: telepathy-haze
# needed for local XMPP
Suggests: telepathy-salut
# needed for irc
Suggests: telepathy-idle
# needed for voip
Suggests: gstreamer0.10-farsight2

Suggests:       telepathy-kde-contact-applet

# Added on 2011/11/27 
Obsoletes:      telepathy-contact-list < 0.2.0-0

%description
Telepathy contact list application.

%files -f ktp-contactlist.lang
%{_kde_bindir}/ktp-contactlist
%{_kde_datadir}/apps/ktelepathy/ktelepathy.notifyrc
%{_kde_datadir}/applications/kde4/ktp-contactlist.desktop
%{_kde_iconsdir}/*/*/*/*

#--------------------------------------------------------------------

%prep
%setup -q -n %srcname-%version

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang ktp-contactlist


%changelog

* Sun Jan 29 2012 mikala <mikala> 0.3.0-1.mga2
+ Revision: 202931
- Update URL
- Add requires for jabber & suggests for others telepathy protocols here
- Update tarball to 0.3.0
- Remove tabs
- Remove useless provides

* Mon Nov 28 2011 mikala <mikala> 0.2.0-1.mga2
+ Revision: 173260
- Update tarball to 0.2.0
- Fix requires
- add missing requires for telepathy-mission-control ( mga #3494)
- Rename package to match upstream name

* Fri Oct 07 2011 mikala <mikala> 0.1-0.git20111003.1.mga2
+ Revision: 152785
- Update git snapshot

* Thu Sep 22 2011 mikala <mikala> 0.1-0.git20110921.1.mga2
+ Revision: 146697
- Update git snapshot
- requires now telepathy-text-ui (new name of telepathy-chat-handler)
- Update tarball
- Fix files list
- add conflicts to ease upgrade

* Sat Jun 25 2011 dmorgan <dmorgan> 0.0-0.git20110624.2.mga2
+ Revision: 113330
- Enhance requires

* Fri Jun 24 2011 dmorgan <dmorgan> 0.0-0.git20110624.1.mga2
+ Revision: 112915
- New snapshot

* Sat Apr 16 2011 ahmad <ahmad> 0.0-0.git20110414.1.mga1
+ Revision: 86590
- imported package telepathy-contact-list

